Bug#402164: #402164: segfault in cyrus imapd using nss-ldap, libsasl and gssapi

Mark Ellis markp.ellis at ntlworld.com
Mon Dec 18 18:22:30 CET 2006

Package: libsasl2-2
Version: 2.1.22.dfsg1-8
Followup-For: Bug #402164

I believe I have found another reference to this at http://www.mail-archive.com/cyrus-devel@lists.andrew.cmu.edu/msg00020.html

The short version, is that gss_mutex is set to (void *)1 by the default sasl_mutex_alloc in lib/common.c. At some point libldap then registers its own mutex 
callbacks, and attempts to lock gss_mutex, resulting in the segfault.

The above reference provides a temporary fix. Not knowing the implications of sasl internals i'm not sure where this needs to be fixed.

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (900, 'testing'), (400, 'stable'), (300, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-amd64
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)

Versions of packages libsasl2-2 depends on:
ii  libc6                      2.3.6.ds1-8   GNU C Library: Shared libraries
ii  libdb4.2                   4.2.52+dfsg-1 Berkeley v4.2 Database Libraries [

Versions of packages libsasl2-2 recommends:
ii  libsasl2-modules          2.1.22.dfsg1-8 Pluggable Authentication Modules f

-- no debconf information

More information about the Pkg-cyrus-sasl2-debian-devel mailing list